//
// C++ Interface: csettingsdialog
//
// Author: Oliver Groß <z.o.gross@gmx.de>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
#ifndef QBAT_SETTINGS_H
#define QBAT_SETTINGS_H

#include <QDialog>
#include "ui_settingsdialog.h"
#include "common.h"

namespace qbat {
	class CSettingsDialog : public QDialog {
		Q_OBJECT
	private:
		Ui::settingsDialog ui;
		QButtonGroup colorSelectButtons;
		Settings * m_Settings;
		
		QRgb colors[INT_COUNT_COLORS];
		
		void applySettings();
	public:
		CSettingsDialog(QWidget * parent = 0);
		~CSettingsDialog();
		
		bool execute(Settings * settings);
	private slots:
		void editColor(int id);
	};
}

#endif
